示例#1
0
        public SectionMark(Dynamic.Tekla.Structures.Drawing.View view, Dynamic.Tekla.Structures.Geometry3d.Point leftPoint, Dynamic.Tekla.Structures.Geometry3d.Point rightPoint)
        {
            var args = new object[3];

            args[0]          = Dynamic.Tekla.Structures.Drawing.View_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(leftPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(rightPoint);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.SectionMark", args);
        }
示例#2
0
        public DetailMark(Dynamic.Tekla.Structures.Drawing.View view, Dynamic.Tekla.Structures.Geometry3d.Point centerPoint, Dynamic.Tekla.Structures.Geometry3d.Point boundaryPoint, Dynamic.Tekla.Structures.Geometry3d.Point labelPoint)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.View_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(centerPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(boundaryPoint);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(labelPoint);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.DetailMark", args);
        }